vigra - BlockwiseConvolutionOptions< N > Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| BlockwiseConvolutionOptions< N > Class Template Reference |

`#include <vigra/multi_blockwise.hxx>`

Inheritance diagram for BlockwiseConvolutionOptions< N >:

## Additional Inherited Members
Public Types inherited from ParallelOptions
enum | { Auto = -1, Nice = -2, NoThreads = 0 }
Public Member Functions inherited from BlockwiseOptions
BlockwiseOptions & | blockShape (const Shape &blockShape)
template<class T , int N>
BlockwiseOptions & | blockShape (const TinyVector< T, N > &blockShape)
BlockwiseOptions & | blockShape (MultiArrayIndex blockShape)
Shape const & | getBlockShape () const
template<int N>
TinyVector< MultiArrayIndex, N > | getBlockShapeN () const
Public Member Functions inherited from ParallelOptions
int | getActualNumThreads () const
| Get desired number of threads. More...
int | getNumThreads () const
| Get desired number of threads. More...
ParallelOptions & | numThreads (const int n)
| Set the number of threads or one of the constants `Auto`, `Nice` and `NoThreads`. More...
Public Member Functions inherited from ConvolutionOptions< N >
ConvolutionOptions< dim > & | filterWindowSize (double ratio)
ConvolutionOptions< dim > & | innerScale (...)
ConvolutionOptions< dim > & | outerScale (...)
ConvolutionOptions< dim > & | resolutionStdDev (...)
ConvolutionOptions< dim > & | stdDev (...)
ConvolutionOptions< dim > & | stepSize (...)
ConvolutionOptions< dim > & | subarray (Shape const &from, Shape const &to)

## Detailed Description

### template<unsigned int N>
class vigra::BlockwiseConvolutionOptions< N >

Option class for blockwise convolution algorithms.

Simply derives from vigra::BlockwiseOptions and vigra::ConvolutionOptions to join their capabilities.

The documentation for this class was generated from the following file:

- vigra/multi_blockwise.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1 (Fri May 19 2017)